import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity("landing_page_cms")
export class LandingPageCms extends CoreEntity {
    @Column({default: null, nullable: true})
    image: string;

    @Column({default: null, nullable: true})
    logo: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    description: string;

    @Column({default: null, nullable: true})
    checkboxText: string;

    @Column({default: null, type: 'longtext', nullable: true})
    checkboxDescription: string;

    @Column({default: null, nullable: true})
    buttonText: string;

    @Column({default: null, nullable: true})
    title: string;
}
